Skip to main content
POST
/
projects
Create a project in the active organization
curl --request POST \
  --url https://api.ilyama.golain.io/core/api/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'ORG-ID: <api-key>' \
  --data '
{
  "hosting_platform": "<string>",
  "project_name": "<string>",
  "region": "<string>"
}
'
{
  "data": {
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ilyama.golain.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

ORG-ID
string
header
required

Body

application/json
hosting_platform
string
required
project_name
string
required
region
string
required
is_lorawan
boolean

Response

Project created

data
object
required
ok
enum<integer>
required
Available options:
1